SOBBY(1)

NAME
sobby - a dedicated server for collaborative editing

SYNOPSIS
sobby [options] [session file]

DESCRIPTION
sobby is a dedicated server which allows clients to edit plain text documents and source files collaboratively over a network. Changes to the documents are synchronised instantly to the other clients.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of available options is included below.

-?, --help
    Show help options

-n, --name=NAME
    Published server name

-i, --interactive
    Show prompt to enter commands at runtime

-p, --port=PORT
    Port which should be used to listen for clients

--password=PASSWORD
    Global password required to join the session

-c, --configfile=FILE
    Use the settings specified in the given configuration file

--write-configfile=FILE
    Write the settings passed on the command line to the specified configuration file and exit

--autosave-file=FILE
    File where to store autosaved sessions

--autosave-interval=INTERVAL
    Interval (in seconds) between autosaves, 0 disables them; the presence of --autosave-directory automatically disables this option

--autosave-directory=DIRECTORY
    Directory where to autosave all individual files of a session

session file
    File to restore the session from, together with all documents stored therein and changes attributed to the corresponding users.

AUTHOR
sobby was written by the 0x539 dev group <crew@0x539.de>.